Get Sddc Lcm Backups

Get Sddc Lcm Backups

List backups for a SDDC LCM. Implicitly sorted by name.

Request
URI
GET
https://vcf.broadcom.com/fleet-lcm/v1/sddc-lcms/{sddcLcmId}/backups
COPY
Path Parameters
string
sddcLcmId
Required

Id of SDDC LCM.

Query Parameters
string
componentId
Optional

Component ID.

string
periodStart
Optional

The earliest date for which to list items, formatted as 2025-09-12T16:09:53Z.

string
periodEnd
Optional

The latest date for which to list items, formatted as 2025-09-12T16:09:53Z.

integer
pageNumber
Optional
Constraints: default: 1

Page Number (1-based, defaults to 1)

integer
pageSize
Optional

Page Size. Maximum allowed is 100


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ComponentBackups of type(s) application/json
{
    "pageMetadata": {
        "pageNumber": 5,
        "totalPages": 7,
        "pageSize": 5,
        "totalElements": 2
    },
    "backups": [
        {
            "path": "path",
            "componentType": "vidb",
            "componentId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "name": "name",
            "componentVersion": "9.1.0.0",
            "points": [
                "points",
                "points"
            ]
        },
        {
            "path": "path",
            "componentType": "vidb",
            "componentId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "name": "name",
            "componentVersion": "9.1.0.0",
            "points": [
                "points",
                "points"
            ]
        }
    ]
}
array of object
backups
Optional

Details for a backup of a Component.

object
pageMetadata
Optional

Retrieves the parameters needed to help pagination on client.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


404

The specified resource was not found

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/fleet-lcm/v1/sddc-lcms/{sddcLcmId}/backups